# Poco

# class URIRedirection

Library: Foundation
Package: URI
Header: Poco/URIStreamFactory.h

## Description

An instance of URIRedirection is thrown by a URIStreamFactory::open() if opening the original URI resulted in a redirection response (such as a MOVED PERMANENTLY in HTTP).

## Member Summary

Member Functions: operator =, swap, uri

## Constructors

### URIRedirection

URIRedirection(
const std::string & uri
);

### URIRedirection

URIRedirection(
const URIRedirection & redir
);

## Member Functions

### operator =

URIRedirection & operator = (
const URIRedirection & redir
);

### swap

void swap(
URIRedirection & redir
);

### uri

const std::string & uri() const;

Returns the new URI.